/*!
* PT. IMAJIKU CIPTA MEDIA
* Copyright 2019-2024 IMAJIKU.
*/

/* =STYLE
------------------------------------------------------------ */

/*preloader*/
.preload-mjk {
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	background-color: #ffffff;
	z-index: 2000;
}

.preload-mjk.loading {
	display: none;
}

.preload-mjk-item {
	display: flex;
	justify-content: center;
	align-items: center;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, -50%);
	-moz-transform: translate(-50%, -50%);
	justify-content: center;
	align-items: center;
	overflow: hidden;
}

.preload-mjk-item i {
	font-size: 30px;
	margin: 0 auto;
	position: relative;
	color: #f3715f;
}

.preload-mjk-item img {
	display: block;
	width: 100px;
	height: auto;
	margin: 0 auto;
}

/* =Animation - Library Epic Spinner for preload
-------------------------------------------------------------*/
/* kbuilding spinner */
.kbuilding-square-spinner,
.kbuilding-square-spinner * {
	box-sizing: border-box;
}

.kbuilding-square-spinner {
	height: 40px;
	width: 40px;
	top: calc(-10px * 2 / 3);
}

.kbuilding-square-spinner .square {
	height: 10px;
	width: 10px;
	top: calc(-10px * 2 / 3);
	margin-right: calc(10px / 3);
	margin-top: calc(10px / 3);
	background: #f3715f;
	float: left;
	position: relative;
	opacity: 0;
	animation: kbuilding-square-spinner 6s infinite;
}

.kbuilding-square-spinner .square:nth-child(1) {
	animation-delay: calc(300ms * 6);
}

.kbuilding-square-spinner .square:nth-child(2) {
	animation-delay: calc(300ms * 7);
}

.kbuilding-square-spinner .square:nth-child(3) {
	animation-delay: calc(300ms * 8);
}

.kbuilding-square-spinner .square:nth-child(4) {
	animation-delay: calc(300ms * 3);
}

.kbuilding-square-spinner .square:nth-child(5) {
	animation-delay: calc(300ms * 4);
}

.kbuilding-square-spinner .square:nth-child(6) {
	animation-delay: calc(300ms * 5);
}

.kbuilding-square-spinner .square:nth-child(7) {
	animation-delay: calc(300ms * 0);
}

.kbuilding-square-spinner .square:nth-child(8) {
	animation-delay: calc(300ms * 1);
}

.kbuilding-square-spinner .square:nth-child(9) {
	animation-delay: calc(300ms * 2);
}

.kbuilding-square-spinner .clear {
	clear: both;
}

@keyframes kbuilding-square-spinner {
	0% {
		opacity: 0;
	}

	5% {
		opacity: 1;
		top: 0;
	}

	50.9% {
		opacity: 1;
		top: 0;
	}

	55.9% {
		opacity: 0;
		top: inherit;
	}
}